package
{
	import flash.display.Loader;
	import flash.events.Event;
	import flash.events.EventDispatcher;
	import flash.net.URLRequest;
	import flash.system.ApplicationDomain;
	import flash.system.LoaderContext;
	import flash.text.Font;
	
	public class LoadFont extends EventDispatcher
	{
		public const FONT_LOADCOMPLETE:String ="font_loadcomplete";
		public var FontLibrary:Class;
		private var _fontname:String;
		
		public function LoadFont(url:String , fontname:String)
		{
			_fontname = fontname;
			var req:URLRequest = new URLRequest(url);
			var loader:Loader = new Loader();
			var context:LoaderContext =new LoaderContext();
			context.applicationDomain = ApplicationDomain.currentDomain;
			loader.contentLoaderInfo.addEventListener(Event.COMPLETE , onLoadComplete );
			loader.load(req,context);
		}
		
		private function onLoadComplete(e:Event):void {
			FontLibrary = ApplicationDomain.currentDomain.getDefinition(_fontname) as Class;
			Font.registerFont(FontLibrary);
			dispatchEvent(new Event(FONT_LOADCOMPLETE));
		}

	}
}